Verdocs - Developer Documentation
ReferenceRest APIAPI DocumentationFields

Add a field to a template

POST
/v2/fields/{template_id}

Request Body

application/json

Body Parameters

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.verdocs.com/v2/fields/{template_id}" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "role_name": "string",    "document_id": "string",    "type": "signature",    "required": "false",    "page": 0,    "x": 0,    "y": 0  }'
{
  "default": "string",
  "document_id": "string",
  "group": "string",
  "height": 0,
  "multiline": true,
  "name": "string",
  "options": "string",
  "placeholder": "string",
  "readonly": "string",
  "role_name": "string",
  "settings": "string",
  "template_id": "string",
  "width": 0,
  "x": 0,
  "y": 0
}
{
  "status": "ERROR",
  "error": "string"
}
{
  "status": "ERROR",
  "error": "string"
}
{
  "status": "ERROR",
  "error": "string"
}
{
  "status": "ERROR",
  "error": "string"
}